Package org.eclipse.cdt.core.dom.ast.ms

## Interface IMSASTDeclspecList

All Superinterfaces:
  `IASTAttributeList`, `IASTAttributeSpecifier`, `IASTNode`

    public interface IMSASTDeclspecList
    extends IASTAttributeList

Represents a Microsoft attribute specifier, introduced by __declspec.

Since:
  6.6
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static InstanceOfPredicate<IASTAttributeSpecifier>` `TYPE_FILTER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeSpecifier

`ATTRIBUTE, EMPTY_ATTRIBUTE_SPECIFIER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeList

`addAttribute, getAttributes`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeSpecifier

`copy, copy`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### TYPE_FILTER

    static final InstanceOfPredicate<IASTAttributeSpecifier> TYPE_FILTER